%  Brent R. Hickman, Timothy P. Hubbard, and Harry J. Paarsch
% hickmanbr@uchicago.edu, timothy.hubbard@colby.edu, hjpaarsch@gmail.com
%
% please cite our Quantitative Economics paper "Identification and
% Estimation of a Bidding Model for Electronic Auctions" if this code is
% helpful to you.
%
% compute expected relative error from assuming an EA is an SPA

clear all
clc

N = 3;

% distribution of interest
vlow = 0;
vhigh = 1;
% if exponential think of param1 = lambda (probably want to be greater than
% 1...although mean is different given truncation); if rayleigh probably
% want mean to be less than sqrt(pi)/2 so that dmean is less than one.
% weibull is an exponential if param2 = 1 and is a rayleigh if param2 = 2.
dist = 'rayleigh';
param1 = 0.3;
param2 = 4;
pvect = param1;
if strcmpi(dist,'weibull')
	pvect = [pvect param2];
end
delta = 0.02;
% solve for the inverse-bid function given the distribution
rkorder = 6;
[vals,bids] = EAauction(N,vhigh,delta,dist,param1,param2,rkorder);

experr = quad('expected_bferr',vlow,vhigh,1e-12,[],dist,vlow,vhigh, ...
	param1,param2,vals,bids,'rel');
experr
