function optcond = optreserveBspline(r,betaV,knotvecV)
%  Brent R. Hickman, Timothy P. Hubbard, and Harry J. Paarsch
% hickmanbr@uchicago.edu, timothy.hubbard@colby.edu, hjpaarsch@gmail.com
%
% please cite our Quantitative Economics paper "Identification and
% Estimation of a Bidding Model for Electronic Auctions" if this code is
% helpful to you.
%
% compute optimal reserve price for given instance using B-spline estimates
% for valuation distribution

[BasisV,~,DerivV] = BsplineBasis3(knotvecV,r);
Fv = BasisV*betaV;
fv = DerivV*betaV;

haz = fv./(1 - Fv);
optcond = r - 1./haz;
%plot(r,optcond,r,zeros(size(r)));