function optcond = optreserve_np(r,v,b0,kernel)
%  Brent R. Hickman, Timothy P. Hubbard, and Harry J. Paarsch
% hickmanbr@uchicago.edu, timothy.hubbard@colby.edu, hjpaarsch@gmail.com
%
% please cite our Quantitative Economics paper "Identification and
% Estimation of a Bidding Model for Electronic Auctions" if this code is
% helpful to you.
%
% compute optimal reserve price for given instance

[fv,h] = kspdf_bc(v,kernel,r,b0);
Fv = kscdf_new(v,'edf',r);

haz = fv./(1 - Fv);
%optcond = r - 1./haz;
optcond = (r - 1./haz).^2;

%plot(r,optcond,r,zeros(size(r)));